import { flags } from '@salesforce/command';
import { ToolbeltCommand } from './ToolbeltCommand';
import Output = flags.Output;
export declare type ResultFormatOptions = {
    options?: string[];
    default?: string;
};
/**
 * Support --resultfomat on commands. Useful for commands that can output different
 * formats like human, csv, json, or different testing results like tap, etc.
 */
export declare abstract class ReporterCommand extends ToolbeltCommand {
    static resultFormatOptions: ResultFormatOptions;
    static get flags(): Output;
    protected init(): Promise<void>;
    protected get statics(): typeof ToolbeltCommand;
}
