"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataBulkStatusCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../../lib/force-cli/force-cli-messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
class DataBulkStatusCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const { DataBulkStatusCommand } = require('../../../../lib/data/dataBulkStatusCommand');
        return await this.execLegacyCommand(new DataBulkStatusCommand(), context);
    }
}
exports.DataBulkStatusCommand = DataBulkStatusCommand;
DataBulkStatusCommand.theDescription = Messages.get('DataBulkStatusDescription');
DataBulkStatusCommand.longDescription = Messages.get('DataBulkStatusLongDescription');
DataBulkStatusCommand.help = Messages.get('DataBulkStatusHelp');
DataBulkStatusCommand.requiresProject = false;
DataBulkStatusCommand.flagsConfig = {
    jobid: command_1.flags.id({
        char: 'i',
        required: true,
        hidden: false,
        description: Messages.get('DataBulkStatusJobIdDescription'),
        longDescription: Messages.get('DataBulkStatusJobIdLongDescription')
    }),
    batchid: command_1.flags.id({
        char: 'b',
        required: false,
        hidden: false,
        description: Messages.get('DataBulkStatusBatchIdDescription'),
        longDescription: Messages.get('DataBulkStatusBatchIdLongDescription')
    })
};
DataBulkStatusCommand.requiresUsername = true;

//# sourceMappingURL=status.js.map
