"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataRecordDeleteCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../../lib/force-cli/force-cli-messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
class DataRecordDeleteCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const { DataRecordDeleteCommand } = require('../../../../lib/data/dataRecordDeleteCommand');
        return await this.execLegacyCommand(new DataRecordDeleteCommand(), context);
    }
}
exports.DataRecordDeleteCommand = DataRecordDeleteCommand;
DataRecordDeleteCommand.theDescription = Messages.get('DataRecordDeleteDescription');
DataRecordDeleteCommand.longDescription = Messages.get('DataRecordDeleteLongDescription');
DataRecordDeleteCommand.help = Messages.get('DataRecordDeleteHelp');
DataRecordDeleteCommand.requiresProject = false;
DataRecordDeleteCommand.requiresUsername = true;
DataRecordDeleteCommand.supportsPerfLogLevelFlag = true;
DataRecordDeleteCommand.flagsConfig = {
    sobjecttype: command_1.flags.string({
        char: 's',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordDeleteSobjectDescription'),
        longDescription: Messages.get('DataRecordDeleteSobjectLongDescription')
    }),
    sobjectid: command_1.flags.id({
        char: 'i',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordDeleteIdDescription'),
        longDescription: Messages.get('DataRecordDeleteIdLongDescription')
    }),
    where: command_1.flags.string({
        char: 'w',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordWhereDescription'),
        longDescription: Messages.get('DataRecordWhereLongDescription')
    }),
    usetoolingapi: command_1.flags.boolean({
        char: 't',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordDeleteToolingDescription'),
        longDescription: Messages.get('DataRecordDeleteToolingLongDescription')
    })
};

//# sourceMappingURL=delete.js.map
