"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataRecordGetCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../../lib/force-cli/force-cli-messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
class DataRecordGetCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const { DataRecordGetCommand } = require('../../../../lib/data/dataRecordGetCommand');
        return await this.execLegacyCommand(new DataRecordGetCommand(), context);
    }
}
exports.DataRecordGetCommand = DataRecordGetCommand;
DataRecordGetCommand.theDescription = Messages.get('DataRecordGetDescription');
DataRecordGetCommand.longDescription = Messages.get('DataRecordGetLongDescription');
DataRecordGetCommand.help = Messages.get('DataRecordGetHelp');
DataRecordGetCommand.requiresProject = false;
DataRecordGetCommand.requiresUsername = true;
DataRecordGetCommand.supportsPerfLogLevelFlag = true;
DataRecordGetCommand.flagsConfig = {
    sobjecttype: command_1.flags.string({
        char: 's',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordGetSobjectDescription'),
        longDescription: Messages.get('DataRecordGetSobjectLongDescription')
    }),
    sobjectid: command_1.flags.id({
        char: 'i',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordGetIdDescription'),
        longDescription: Messages.get('DataRecordGetIdLongDescription')
    }),
    where: command_1.flags.string({
        char: 'w',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordWhereDescription'),
        longDescription: Messages.get('DataRecordWhereLongDescription')
    }),
    usetoolingapi: command_1.flags.boolean({
        char: 't',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordGetToolingDescription'),
        longDescription: Messages.get('DataRecordGetToolingLongDescription')
    })
};

//# sourceMappingURL=get.js.map
