"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataRecordUpdateCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../../lib/force-cli/force-cli-messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
class DataRecordUpdateCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const { DataRecordUpdateCommand } = require('../../../../lib/data/dataRecordUpdateCommand');
        return await this.execLegacyCommand(new DataRecordUpdateCommand(), context);
    }
}
exports.DataRecordUpdateCommand = DataRecordUpdateCommand;
DataRecordUpdateCommand.theDescription = Messages.get('DataRecordUpdateDescription');
DataRecordUpdateCommand.longDescription = Messages.get('DataRecordUpdateLongDescription');
DataRecordUpdateCommand.help = Messages.get('DataRecordUpdateHelp');
DataRecordUpdateCommand.requiresProject = false;
DataRecordUpdateCommand.requiresUsername = true;
DataRecordUpdateCommand.supportsPerfLogLevelFlag = true;
DataRecordUpdateCommand.flagsConfig = {
    sobjecttype: command_1.flags.string({
        char: 's',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordUpdateSobjectDescription'),
        longDescription: Messages.get('DataRecordUpdateSobjectLongDescription')
    }),
    sobjectid: command_1.flags.id({
        char: 'i',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordUpdateIdDescription'),
        longDescription: Messages.get('DataRecordUpdateIdLongDescription')
    }),
    where: command_1.flags.string({
        char: 'w',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordWhereDescription'),
        longDescription: Messages.get('DataRecordWhereLongDescription')
    }),
    values: command_1.flags.string({
        char: 'v',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordUpdateValuesDescription'),
        longDescription: Messages.get('DataRecordUpdateValuesLongDescription')
    }),
    usetoolingapi: command_1.flags.boolean({
        char: 't',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordUpdateToolingDescription'),
        longDescription: Messages.get('DataRecordUpdateToolingLongDescription')
    })
};

//# sourceMappingURL=update.js.map
