"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgDisplayCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../lib/messages");
const ToolbeltCommand_1 = require("../../../ToolbeltCommand");
const messages = Messages();
class OrgDisplayCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const OrgDisplayCommand = require('../../../lib/org/orgDisplayCommand');
        return this.execLegacyCommand(new OrgDisplayCommand(context), context);
    }
}
exports.OrgDisplayCommand = OrgDisplayCommand;
OrgDisplayCommand.theDescription = messages.getMessage('displayCommandCliDescription');
OrgDisplayCommand.longDescription = messages.getMessage('displayCommandCliDescriptionLong');
OrgDisplayCommand.help = messages.getMessage('displayCommandCliHelp');
OrgDisplayCommand.requiresProject = false;
OrgDisplayCommand.requiresUsername = true;
OrgDisplayCommand.flagsConfig = {
    verbose: command_1.flags.builtin()
};

//# sourceMappingURL=display.js.map
