"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgSnapshotListCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const Messages = require("../../../../lib/messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
const messages = Messages();
const consts = require("../../../../lib/core/constants");
class OrgSnapshotListCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const OrgSnapshotListCommand = require('../../../../lib/org/snapshot/orgSnapshotListCommand'); // eslint-disable-line global-require
        return this.execLegacyCommand(new OrgSnapshotListCommand(), context);
    }
}
exports.OrgSnapshotListCommand = OrgSnapshotListCommand;
OrgSnapshotListCommand.theDescription = messages.getMessage('listSnapshotCmdDescription', [], 'orgSnapshot');
OrgSnapshotListCommand.longDescription = messages.getMessage('listSnapshotCmdDescriptionLong', [], 'orgSnapshot');
OrgSnapshotListCommand.help = messages.getMessage('listSnapshotCmdHelp', [], 'orgSnapshot');
OrgSnapshotListCommand.showProgress = true;
OrgSnapshotListCommand.requiresProject = false;
OrgSnapshotListCommand.requiresDevhubUsername = true;
OrgSnapshotListCommand.orgType = consts.DEFAULT_DEV_HUB_USERNAME;

//# sourceMappingURL=list.js.map
