"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageListCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../lib/messages");
const ToolbeltCommand_1 = require("../../../ToolbeltCommand");
const messages = Messages();
const consts = require("../../../lib/core/constants");
class PackageListCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const PackageListCommand = require('../../../lib/package/packageListCommand');
        return this.execLegacyCommand(new PackageListCommand(), context);
    }
}
exports.PackageListCommand = PackageListCommand;
PackageListCommand.theDescription = messages.getMessage('cliDescription', [], 'package_list');
PackageListCommand.longDescription = messages.getMessage('cliLongDescription', [], 'package_list');
PackageListCommand.help = messages.getMessage('help', [], 'package_list');
PackageListCommand.requiresProject = false;
PackageListCommand.orgType = consts.DEFAULT_DEV_HUB_USERNAME;
PackageListCommand.requiresDevhubUsername = true;
PackageListCommand.flagsConfig = {
    verbose: command_1.flags.builtin({
        description: messages.getMessage('verboseDescription', [], 'package_list'),
        longDescription: messages.getMessage('verboseLongDescription', [], 'package_list')
    })
};

//# sourceMappingURL=list.js.map
