"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApexLogTailCommand = void 0;
const apexLogApi_1 = require("./apexLogApi");
class ApexLogTailCommand {
    async execute(context) {
        const org = context.org;
        const apexLogApi = new apexLogApi_1.ApexLogApi(org, context.flags);
        if (!context.flags.skiptraceflag) {
            await apexLogApi.prepareTraceFlag(context.flags.debuglevel);
        }
        return await apexLogApi.tail();
    }
}
exports.ApexLogTailCommand = ApexLogTailCommand;

//# sourceMappingURL=apexLogTailCommand.js.map
