/**
 * Class to synchronously compile all Apex classes in an org.
 *
 * This feature can be disabled by setting the environment variable SFDX_PRECOMPILE_DISABLE=true
 */
declare class ApexCacheService {
    static DEFAULT_TIMEOUT: number;
    [property: string]: any;
    /**
     * constructor
     * @param {object} org - the target org
     * @param {number} timeout - the number of milliseconds to wait before the precompile times out.
     * @param {number} pollInterval - the number of milliseconds to wait before each query to the server for cache state.
     */
    constructor(org?: any, timeout?: number, pollInterval?: number);
    /**
     * this method delegates to the private _doCompile routine. this function maintains the overall timeout.
     */
    precompileSync(): any;
}
export = ApexCacheService;
