import { ConnectResource } from '../../connect/services/ConnectResource';
import { OutputFlags } from '@oclif/parser';
import { JsonCollection } from '@salesforce/ts-types';
import { UX } from '@salesforce/command';
import { CommunityCreateResponse } from '../defs/CommunityCreateResponse';
/**
 * A connect api resource for creating a community
 */
export declare class CommunityCreateResource implements ConnectResource<CommunityCreateResponse> {
    private flags;
    private ux;
    constructor(flags: OutputFlags<any>, ux: UX);
    handleSuccess(result: JsonCollection): CommunityCreateResponse;
    handleError(error: Error): CommunityCreateResponse;
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): string;
    fetchPostParams(): Promise<string>;
}
