import { ConnectResource } from '../../connect/services/ConnectResource';
import { OutputFlags } from '@oclif/parser';
import { Org } from '@salesforce/core/lib/org';
import { UX } from '@salesforce/command';
import { CommunityPublishResponse } from '../defs/CommunityPublishResponse';
import { JsonCollection } from '@salesforce/ts-types';
/**
 * A connect api resource for publishing a community
 */
export declare class CommunityPublishResource implements ConnectResource<CommunityPublishResponse> {
    private flags;
    private org;
    private ux;
    private info;
    constructor(flags: OutputFlags<any>, org: Org, ux: UX);
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): string;
    fetchPostParams(): Promise<string>;
    handleSuccess(result: JsonCollection): CommunityPublishResponse;
    handleError(error: Error): CommunityPublishResponse;
    fetchCommunityId(): Promise<string>;
}
