import { ConnectResource } from '../../connect/services/ConnectResource';
import { UX } from '@salesforce/command';
import { CommunityTemplatesListResponse } from '../defs/CommunityTemplatesListResponse';
/**
 * A connect api resource for fetching community templates available to context user
 */
export declare class CommunityTemplatesResource implements ConnectResource<CommunityTemplatesListResponse> {
    private ux;
    constructor(ux: UX);
    fetchRelativeConnectUrl(): Promise<string>;
    fetchPostParams(): Promise<string>;
    getRequestMethod(): string;
    handleSuccess(result: CommunityTemplatesListResponse): CommunityTemplatesListResponse;
    handleError(error: Error): CommunityTemplatesListResponse;
}
