/// <reference types="node" />
import { CommunityStatus } from './CommunityStatusEnum';
import { URL } from 'url';
/**
 * SFDX command output when publishing a community
 */
export declare type CommunityPublishResponse = {
    /**
     * community ID
     */
    id: string;
    /**
     * output message
     */
    message: string;
    /**
     * name of the community
     */
    name: string;
    /**
     * community status (Active/Inactive/DownForMaintainance)
     */
    status?: CommunityStatus;
    /**
     * url to access the community
     */
    url: URL;
};
