import { ConnectResource } from './ConnectResource';
import { Org } from '@salesforce/core/lib/org';
import { RequestInfo } from 'jsforce';
/**
 * An executor which calls a connect api for the given org
 */
export declare class ConnectExecutor<T> {
    private connectService;
    private org;
    constructor(connectService: ConnectResource<T>, org: Org);
    /**
     * Call the connect resource as defined by the given ConnectResource for the given org
     */
    callConnectApi(): Promise<T>;
    fetchRequestInfo(): Promise<RequestInfo>;
}
