"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
class Command {
    constructor(name) {
        this.name = name;
        this.loggerName = name;
    }
    async getLogger() {
        if (!this.logger) {
            this.logger = await core_1.Logger.child(this.loggerName);
        }
        return this.logger;
    }
    async validate(context) {
        return Promise.resolve(context);
    }
}
exports.default = Command;

//# sourceMappingURL=command.js.map
