"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Time = void 0;
/**
 * Helper class to convert cli wait times between minutes and milliseconds.
 */
class Time {
    constructor(minutes) {
        this.minutes = minutes;
    }
    get seconds() {
        return this.minutes * Time.SECONDS_IN_MINUTE;
    }
    get milliseconds() {
        return this.seconds * Time.MILLI_IN_SECONDS;
    }
}
exports.Time = Time;
Time.MILLI_IN_SECONDS = 1000;
Time.SECONDS_IN_MINUTE = 60;

//# sourceMappingURL=time.js.map
