import { Connection } from 'jsforce';
import { BatchInfo } from 'jsforce';
import { JobInfo } from 'jsforce';
export declare class DataBulkStatusCommand {
    execute(context: any): Promise<any>;
}
/**
 * get and display the batch status
 * exposed for unit testing
 * @param conn {Connection}
 * @param jobId {string}
 * @param batchId {string}
 */
export declare let fetchAndDisplayBatchStatus: (conn: Connection, jobId: string, batchId: string) => Promise<BatchInfo[]>;
/**
 * get and display the job status; close the job if completed
 * @param conn {Connection}
 * @param jobId {string}
 */
export declare let fetchAndDisplayJobStatus: (conn: Connection, jobId: string, doneCallback?: (...args: any[]) => any) => Promise<JobInfo>;
