"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const DataImportApi = require("./dataImportApi");
const SchemaPrinter = require("../schema/schemaPrinter");
class DataImportCommand {
    validate() {
        return Promise.resolve();
    }
    execute(context) {
        return this.showSchema(context);
    }
    getHumanSuccessMessage() {
        return this.status.join('\n');
    }
    getHumanErrorMessage() {
        return 'Data Import Config Help Error:';
    }
    showSchema(context) {
        this.dataImport = new DataImportApi(context.org);
        return this.dataImport.validator.loadSchema().then(schema => {
            this.status = new SchemaPrinter(schema).lines;
            // Return for json results
            return schema;
        });
    }
}
module.exports = DataImportCommand;

//# sourceMappingURL=dataImportConfigHelpCommand.js.map
