"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getActiveConnection = exports.importScratchOrgCred = void 0;
exports.importScratchOrgCred = async function (context) {
    // Here be 🐉
    /* _getConnection only sets up the listener for a token refresh but does
     * not actually check if the token is old. Need to do a subsequent call
     * with the connection object for it to check and do a refresh.
     */
    let conn = await context.org.force._getConnection(context.org, context.org.config);
    await conn.requestGet(conn._baseUrl());
    return conn;
};
exports.getActiveConnection = async function (context) {
    // if (TestUtil.isIntegrationTesting()) {
    //     let loginUrl = TestUtil.getTestInstance();
    //     let username = TestUtil.getTestUsername();
    //     let password = TestUtil.getTestPassword();
    //     let connection = new Connection();
    //     connection.loginUrl = loginUrl;
    //     await connection.loginBySoap(username, password);
    //     return connection;
    // } else {
    return await exports.importScratchOrgCred(context);
    // }
};

//# sourceMappingURL=force-cli-config.js.map
