"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkIfFaultStringFromXml = exports.abort = exports.exitDisplayHelp = exports.exitWithMessage = exports.errorMessage = void 0;
/* --------------------------------------------------------------------------------------------------------------------
 * WARNING: This file has been deprecated and should now be considered locked against further changes.  Its contents
 * have been partially or wholly superseded by functionality included in the @salesforce/core npm package, and exists
 * now to service prior uses in this repository only until they can be ported to use the new @salesforce/core library.
 *
 * If you need or want help deciding where to add new functionality or how to migrate to the new library, please
 * contact the CLI team at alm-cli@salesforce.com.
 * ----------------------------------------------------------------------------------------------------------------- */
const ResponseParser = require("./force-cli-responseParser");
const Messages = require("./force-cli-messages");
const cli = require("heroku-cli-util");
// TODO Deprecate this file
exports.errorMessage = function (msg) {
    msg = exports.checkIfFaultStringFromXml(msg);
    cli.error(cli.color.bold(Messages.get('ErrorError')) + msg);
};
exports.exitWithMessage = function (msg) {
    msg = exports.checkIfFaultStringFromXml(msg);
    throw new Error(msg);
};
exports.exitDisplayHelp = function (command) {
    cli.log('\n' + command.help);
    // @ts-ignore exit throws instead of returning any
    return cli.exit(1);
};
exports.abort = function () {
    // @ts-ignore exit throws instead of returning any
    return cli.exit(1, cli.color.bold(Messages.get('ErrorAbort')));
};
/**
 * parses the xml faultstring if needed
 * exposed for unit testing
 * @param msg
 * @returns {string}
 */
exports.checkIfFaultStringFromXml = function (msg) {
    if (ResponseParser.hasFaultString(msg)) {
        return ResponseParser.getFaultString(msg);
    }
    return msg;
};

//# sourceMappingURL=force-cli-error.js.map
