import { DescribeMetadataResult } from 'jsforce';
/**
 * API that wraps Metadata API to retrieve describemetadata result.
 *
 * @param force
 * @constructor
 */
export declare class MdDescribemetadataApi {
    private org;
    private force;
    private logger;
    private retrieveTargetPath;
    constructor(org: any);
    retrieve(context: any): Promise<DescribeMetadataResult | {
        message: string;
    }>;
    /**
     * Filter a DescribeMetadataResult based on whats found in metadata registry. This method is handy for determining
     * what not supported by the CLI.
     * @param result The result to filter
     */
    private filterResult;
    private retrieveDescribemetadata;
    private createOutputJSONResultFile;
    private formatRetrieveOptions;
    private print;
    validate(context: any): Promise<void>;
}
