import { Logger, Org } from '@salesforce/core';
import { UX } from '@salesforce/command';
import { Optional } from '@salesforce/ts-types';
declare const open: {
    logger: Logger;
    buildFrontdoorUrl(org: Org): Promise<string>;
    /**
     * gets a url for the workspace or test org
     * @param context - the cli context
     * @param force - the force api
     * @param orgApi - an org.
     * @returns {Promise}
     * @private
     */
    buildUrl: (org: Org, path: Optional<string>, isSetup?: boolean) => Promise<string>;
    getDomainRetries: () => number;
    checkDns(domain: string): Promise<string>;
    delay(): Promise<void>;
    checkLightningDomain: (myDomain: string, ux: UX, retryCount?: number) => Promise<void>;
    _openBrowserWithUrl: (url: any) => Promise<void>;
    /**
     * either open user's desktop browser or just print the url in console.
     * @param context - the cli context
     * @param force - the force api
     * @returns {Promise}
     * @private
     */
    open: (org: Org, ux: UX, path: Optional<string>, isSetup: Optional<boolean>, urlOnly: Optional<boolean>) => Promise<{
        url: string;
        orgId: string;
        username: string;
    }>;
};
export default open;
