/**
 * Class for decorating org status and connected status in the org:list and display commands.
 */
declare class OrgDecorator {
    private colorEnabled;
    private chalk;
    constructor(colorEnabled?: boolean, chalkOverride?: any);
    /**
     * helper to decorate the org status
     * @param {object} val - org metadata
     */
    decorateStatus(val: object): void;
    /**
     * helper to decorate the org connectedStatus
     * @param {object} val - org metadata
     */
    decorateConnectedStatus(val: any): any;
    /**
     * Helper to decorate attributes
     * @param {object} val - object containing the value to decorate
     * @param {string} attribute - the name of the attribute to decorate
     * @param {string} greenStatus - the name of state that should report green.
     * @private
     */
    private decorateAttribute;
}
export = OrgDecorator;
