declare class HammerTestApi {
    [property: string]: any;
    constructor(org: any);
    /**
     * Makes a new ISV Hammer Request
     *
     * @param {string} packageVersionId
     * @param {string list} subscriberOrgIds
     * @param {datetime} scheduledDateTime
     * @param {boolean} isNextSalesforceVersion
     * @param {string} apexTestInterface
     *
     * @returns result structured as json data
     */
    makeNewHammerRequest(apvIds: any, subOrgs: any, scheduledTime: any, isNextSalesforceVersion: any, isRunApexTests: any, apexTestInterface: any): Promise<any>;
    /**
     * Fetches statuses of existing hammerTest runs for a packageVersionId
     * @param {string} packageVersionId
     */
    viewHammerRequests(packageVersionId: any): Promise<any>;
    /**
     * Fetches statuses of existing hammerTest runs for a requestId
     * @param {string} requestId
     */
    viewHammerTestResult(requestId: any): Promise<any>;
    _calloutNewHammerRequest(isvHammerRunRequest: any): Promise<any>;
    _calloutViewHammerRequests(packageVersionId: any): Promise<any>;
    _calloutViewAllHammerRequests(): Promise<any>;
    _calloutViewHammerTestResult(requestId: any): Promise<any>;
}
export = HammerTestApi;
