"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPerfMetricsFromResponse = exports.requestPerfMetrics = exports.request = void 0;
const HttpApi = require("jsforce/lib/http-api");
exports.request = HttpApi.prototype.request;
exports.requestPerfMetrics = [];
function getPerfMetricsFromResponse(response) {
    let metrics = response.headers['perfmetrics'];
    /* istanbul ignore else */
    if (metrics) {
        let perfMetrics = {
            requestPath: response.req.path,
            perfMetrics: JSON.parse(metrics)
        };
        exports.requestPerfMetrics.push(perfMetrics);
    }
}
exports.getPerfMetricsFromResponse = getPerfMetricsFromResponse;
HttpApi.prototype.request = function (req, ...args) {
    this.once('response', getPerfMetricsFromResponse);
    return exports.request.call(this, req, ...args);
};

//# sourceMappingURL=perfMetricsRequest.js.map
