"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
/**
 * An action script that is used to upgrade a project.
 */
class UpgradeAction {
    constructor(description, action) {
        this.description = description;
        this.action = action;
        if (!description || !_.isString(description)) {
            throw new Error('DEV ERROR: Description required');
        }
    }
    act(projectDir) {
        return this.action(projectDir);
    }
}
exports.default = UpgradeAction;

//# sourceMappingURL=UpgradeAction.js.map
