"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const BBPromise = require("bluebird");
const fs = BBPromise.promisifyAll(require('fs'));
const consts = require("../../core/constants");
const Messages = require("../../messages");
const messages = Messages();
const utils = require("../../core/srcDevUtil");
const UpgradeAction_1 = require("./UpgradeAction");
async function default_1(projectDir, prompt) {
    const projectFile = path.join(projectDir, consts.WORKSPACE_CONFIG_FILENAME);
    if ((await fs.readFileAsync(projectFile, 'utf8')).match(/"useDecomposition"/i)) {
        return new UpgradeAction_1.default(messages.getMessage('action_removeUseDecomposition', [consts.WORKSPACE_CONFIG_FILENAME], 'projectUpgrade'), async () => {
            const json = await utils.readJSON(projectFile);
            delete json.useDecomposition;
            return fs.writeFileAsync(projectFile, JSON.stringify(json, undefined, 2));
        });
    }
    return BBPromise.resolve(null);
}
exports.default = default_1;

//# sourceMappingURL=remove-use-decomposition.js.map
