"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NonDecomposedMetadataStrategy = void 0;
const xmlMetadataDocument_1 = require("../xmlMetadataDocument");
/**
 * Null decomposition strategy.
 */
class NonDecomposedMetadataStrategy {
    constructor(decompositionConfig) {
        this.decompositionConfig = decompositionConfig;
    }
    newContainerDocument(metadataName) {
        return new xmlMetadataDocument_1.XmlMetadataDocument(metadataName);
    }
    newDecompositionDocument(metadataName) {
        return new xmlMetadataDocument_1.XmlMetadataDocument(metadataName);
    }
    newComposedDocument(metadataName) {
        return new xmlMetadataDocument_1.XmlMetadataDocument(metadataName);
    }
    compose(container, decompositions) {
        return container;
    }
    decompose(composed, name, manifest) {
        return [composed, new Map()];
    }
    isComposable() {
        return false;
    }
}
exports.NonDecomposedMetadataStrategy = NonDecomposedMetadataStrategy;

//# sourceMappingURL=nonDecomposedMetadataStrategy.js.map
