"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApexClassMetadataType = void 0;
const defaultMetadataType_1 = require("./defaultMetadataType");
class ApexClassMetadataType extends defaultMetadataType_1.DefaultMetadataType {
    getAggregateFullNameFromComponentFailure(componentFailure) {
        // Sometimes, the fullNames of ApexClass failures look like:
        // 'classes/DreamHouseSampleDataController.cls-meta.xml'
        // so get the fullName from the fileName instead
        return this.getAggregateFullNameFromFilePath(componentFailure.fileName);
    }
}
exports.ApexClassMetadataType = ApexClassMetadataType;

//# sourceMappingURL=apexClassMetadataType.js.map
