"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomPageWeblinkMetadataType = void 0;
const path = require("path");
const defaultMetadataType_1 = require("./defaultMetadataType");
const MetadataRegistry = require("../metadataRegistry");
class CustomPageWeblinkMetadataType extends defaultMetadataType_1.DefaultMetadataType {
    getMdapiFormattedMetadataFileName(metadataFilePath) {
        const fileName = path.basename(metadataFilePath);
        return fileName.replace(`.${this.typeDefObj.ext}${MetadataRegistry.getMetadataFileExt()}`, '.weblink');
    }
}
exports.CustomPageWeblinkMetadataType = CustomPageWeblinkMetadataType;

//# sourceMappingURL=customPageWeblinkMetadataType.js.map
