"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlowMetadataType = void 0;
const defaultMetadataType_1 = require("./defaultMetadataType");
const core_1 = require("@salesforce/core");
class FlowMetadataType extends defaultMetadataType_1.DefaultMetadataType {
    getDeprecationMessage(fullName) {
        if (/-[0-9]$/.test(fullName)) {
            core_1.Messages.importMessagesDirectory(__dirname);
            const messages = core_1.Messages.loadMessages('salesforce-alm', 'source');
            return messages.getMessage('flowDeprecation');
        }
    }
}
exports.FlowMetadataType = FlowMetadataType;

//# sourceMappingURL=flowMetadataType.js.map
