"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Territory2ModelMetadataType = void 0;
const path = require("path");
const defaultMetadataType_1 = require("./defaultMetadataType");
const MetadataRegistry = require("../metadataRegistry");
class Territory2ModelMetadataType extends defaultMetadataType_1.DefaultMetadataType {
    getDefaultAggregateMetadataPath(fullName, defaultSourceDir, bundleFileProperties) {
        const fileName = `${fullName}.${this.typeDefObj.ext}${MetadataRegistry.getMetadataFileExt()}`;
        return path.join(defaultSourceDir, this.typeDefObj.defaultDirectory, fullName, fileName);
    }
    getPathToMdapiSourceDir(aggregateFullName, mdDir) {
        return path.join(mdDir, this.typeDefObj.defaultDirectory, aggregateFullName);
    }
    getAggregateFullNameFromFileProperty(fileProperty, namespace) {
        return path.basename(fileProperty.fileName, `.${this.typeDefObj.ext}`);
    }
}
exports.Territory2ModelMetadataType = Territory2ModelMetadataType;

//# sourceMappingURL=territory2ModelMetadataType.js.map
