import { SourceRetrieveOutput } from './sourceRetrieve';
/**
 * Command for retrieving metadata from a non-source-tracked org and updating a local SFDX project.
 */
export declare class SourceRetrieveCommand {
    private logger;
    constructor();
    /**
     * Executes the source retrieve command
     * @param context - the cli context
     * @returns {Promise}
     */
    execute(context: any): Promise<SourceRetrieveOutput>;
    /**
     * Validates the source retrieve command parameters
     * @param context - the cli context
     * @returns {Promise}
     */
    validate(context: any): Promise<any>;
    getHumanSuccessMessage(results: any): void;
}
