/**
 * States of source
 * @type {{UNCHANGED: string, CHANGED: string, DELETED: string, NEW: string, toString: sourceState.toString}}
 */
declare const sourceState: {
    UNCHANGED: string;
    CHANGED: string;
    DELETED: string;
    NEW: string;
    DUP: string;
    /**
     * Get the string representation of a source state
     * @param state - The state to get the string for
     * @returns {*} - String representation of the state
     */
    toString(state: any): "Unknown" | "Unchanged" | "Changed" | "Deleted" | "Add" | "Duplicate";
};
export = sourceState;
