/**
 *  A container for the test results that provides helpers around formating
 *  and logging test results.
 */
declare class TestResults {
    [property: string]: any;
    constructor(testrunid: any, startTime: any, suitename: any, tests: any, runResultSummaries: any, config: any, passStr?: string, skipStr?: string);
    get outcome(): "Failed" | "Passed";
    get total(): any;
    get totalFailed(): any;
    get totalPassed(): number;
    get totalSkipped(): any;
    get passRate(): string;
    get failRate(): string;
    get summary(): any;
    toJson(): any;
    generateJunit(): string;
    getTestContainerName(test: any): string;
    getTestNamespace(test: any): string;
    getTestName(test: any): string;
}
export = TestResults;
